Bug 1990970 - The development of ccoctl support for IBM left unused debug test binary in the source code
Summary: The development of ccoctl support for IBM left unused debug test binary in th...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Credential Operator
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.9.0
Assignee: Akhil Rane
QA Contact: wang lin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-06 17:03 UTC by Akhil Rane
Modified: 2021-10-18 17:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:45:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cloud-credential-operator pull 366 0 None None None 2021-08-06 17:04:10 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:45:39 UTC

Description Akhil Rane 2021-08-06 17:03:40 UTC
Description of problem:
The development of the ccoctl support for IBM left a unused debug test binary in the source code

Version-Release number of selected component (if applicable):
4.9.0

How reproducible:
Always

Steps to Reproduce:
1. The unused debug test binary can be found at path pkg/cmd/provisioning/ibmcloud/debug.test
2.
3.

Actual results:
unused debug test binary exists

Expected results:
unused debug test binary should not exists


Additional info:

Comment 2 wang lin 2021-08-17 10:03:09 UTC
the unused binary has deleted

$ ls pkg/cmd/provisioning/ibmcloud/debug.test
ls: cannot access 'pkg/cmd/provisioning/ibmcloud/debug.test': No such file or directory

ls pkg/cmd/provisioning/ibmcloud/
create_shared_secrets.go  create_shared_secrets_test.go  ibmcloud.go

Comment 5 errata-xmlrpc 2021-10-18 17:45:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.